> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Gemini Video Fetch API

> Query the status and result of a Gemini video generation job by jobId.



## OpenAPI

````yaml openapi/en/gemini.json get /gemini/video/fetch
openapi: 3.1.0
info:
  title: Gemini API DOCS
  version: 1.0.0
  description: >-
    TTAPI Gemini API service, including Nano Banana image generation and Gemini
    video generation.
servers:
  - url: https://api.ttapi.org
security: []
paths:
  /gemini/video/fetch:
    get:
      description: >-
        Query a Gemini video generation job by jobId. If no success or failure
        result is available within 15 minutes, the job is marked as failed with
        a timeout message.
      parameters:
        - name: jobId
          in: query
          required: true
          schema:
            type: string
          description: jobId returned by the generation endpoint
          example: 0ccf0606-3f32-4090-85bd-1786e4593be5
      responses:
        '200':
          $ref: '#/components/responses/VideoFetchResponse'
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  responses:
    VideoFetchResponse:
      description: Query successful
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                description: Task status
                enum:
                  - RUNNING
                  - SUCCESS
                  - FAILED
                example: SUCCESS
              message:
                type: string
                description: Task message
                example: success
              jobId:
                type: string
                description: Job ID
                example: 0ccf0606-3f32-4090-85bd-1786e4593be5
              data:
                type: object
                description: Video task result
                properties:
                  jobId:
                    type: string
                    description: Job ID
                    example: 0ccf0606-3f32-4090-85bd-1786e4593be5
                  model:
                    type: string
                    example: omni-flash
                  prompt:
                    type: string
                    example: A cinematic shot of a futuristic city at sunset
                  aspect_ratio:
                    type: string
                    example: '16:9'
                  reference_images:
                    type: array
                    items:
                      type: string
                    example:
                      - https://cdn.ttapi.io/example/reference-image.png
                  video_url:
                    type: string
                    description: >-
                      Video URL. Validity: see [Storage and
                      Persistence](/grids/en/faq/storage)
                    example: https://cdn.ttapi.io/other/2026-06-05/example.mp4
                  quota:
                    type: string
                    description: Quota consumed
                    example: '1'
                  hookUrl:
                    type: string
                    example: https://example.com/callback
            required:
              - status
              - message
              - jobId
              - data
            example:
              status: SUCCESS
              message: success
              jobId: 0ccf0606-3f32-4090-85bd-1786e4593be5
              data:
                jobId: 0ccf0606-3f32-4090-85bd-1786e4593be5
                model: omni-flash
                prompt: A cinematic shot of a futuristic city at sunset
                aspect_ratio: '16:9'
                reference_images:
                  - https://cdn.ttapi.io/example/reference-image.png
                video_url: https://cdn.ttapi.io/other/2026-06-05/example.mp4
                quota: '1'
                hookUrl: https://example.com/callback
    400Response:
      description: Parameter error
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: '"prompt" cannot be empty.'
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: Authorization failed
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        You can obtain your API key from the <a
        href='https://dashboard.ttapi.io' target='_blank'>TTAPI Dashboard</a>.

````